#ifndef ATL_cGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,112,224,280,336,504,560,616,728,784,840,1008,2072
 * N : 25,112,224,280,336,504,560,616,728,784,840,1008,2072
 * NB : 4,8,8,16,16,12,12,20,60,120,120,120,112
 */
#define ATL_cGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 68) (nb_) = 4; \
   else if ((n_) < 252) (nb_) = 8; \
   else if ((n_) < 420) (nb_) = 16; \
   else if ((n_) < 588) (nb_) = 12; \
   else if ((n_) < 672) (nb_) = 20; \
   else if ((n_) < 756) (nb_) = 60; \
   else if ((n_) < 1540) (nb_) = 120; \
   else (nb_) = 112; \
}


#endif    /* end ifndef ATL_cGetNB_geqrf */
