#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,200,240,280,320,640,1280,1920,2600
 * N : 25,160,200,240,280,320,640,1280,1920,2600
 * NB : 8,8,8,24,40,56,40,56,40,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 24; \
   else if ((n_) < 300) (nb_) = 40; \
   else if ((n_) < 480) (nb_) = 56; \
   else if ((n_) < 960) (nb_) = 40; \
   else if ((n_) < 1600) (nb_) = 56; \
   else if ((n_) < 2260) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
