#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,480,720,840,920,960,1000,2040
 * N : 25,480,720,840,920,960,1000,2040
 * NB : 4,4,4,80,48,72,96,96
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 780) (nb_) = 4; \
   else if ((n_) < 880) (nb_) = 80; \
   else if ((n_) < 940) (nb_) = 48; \
   else if ((n_) < 980) (nb_) = 72; \
   else (nb_) = 96; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
