#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,240,300,360,540,780,1080,1620,1920,2040,2220,4440
 * N : 25,120,240,300,360,540,780,1080,1620,1920,2040,2220,4440
 * NB : 4,60,12,60,60,60,66,72,60,60,60,120,120
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 4; \
   else if ((n_) < 180) (nb_) = 60; \
   else if ((n_) < 270) (nb_) = 12; \
   else if ((n_) < 660) (nb_) = 60; \
   else if ((n_) < 930) (nb_) = 66; \
   else if ((n_) < 1350) (nb_) = 72; \
   else if ((n_) < 2130) (nb_) = 60; \
   else (nb_) = 120; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
